## r-base 3.6.3

=== DESCRIPTION ===
Package: foreign
Priority: recommended
Version: 0.8-75
Date: 2020-01-20
Title: Read Data Stored by 'Minitab', 'S', 'SAS', 'SPSS', 'Stata',
        'Systat', 'Weka', 'dBase', ...
Depends: R (>= 3.0.0)
Imports: methods, utils, stats
Authors@R: c(
   person("R Core Team",
      email = "R-core@R-project.org", role = c("aut", "cph", "cre")),
    person("Roger", "Bivand", role = c("ctb", "cph")),
    person(c("Vincent", "J."), "Carey", role = c("ctb", "cph")),
    person("Saikat", "DebRoy", role = c("ctb", "cph")),
    person("Stephen", "Eglen", role = c("ctb", "cph")),
    person("Rajarshi", "Guha", role = c("ctb", "cph")),
    person("Swetlana", "Herbrandt", role = "ctb"),
    person("Nicholas", "Lewin-Koh", role = c("ctb", "cph")),
    person("Mark", "Myatt", role = c("ctb", "cph")),
    person("Michael", "Nelson", role = "ctb"),
    person("Ben", "Pfaff", role = "ctb"),
    person("Brian", "Quistorff", role = "ctb"),
    person("Frank", "Warmerdam", role = c("ctb", "cph")),
    person("Stephen", "Weigand", role = c("ctb", "cph")),
    person("Free Software Foundation, Inc.", role = "cph"))
Copyright: see file COPYRIGHTS
Description: Reading and writing data stored by some versions of
	'Epi Info', 'Minitab', 'S', 'SAS', 'SPSS', 'Stata', 'Systat', 'Weka',
	and for reading and writing some 'dBase' files.
ByteCompile: yes
Biarch: yes
License: GPL (>= 2)
BugReports: https://bugs.r-project.org
NeedsCompilation: yes
Packaged: 2020-01-20 11:15:39 UTC; ripley
Author: R Core Team [aut, cph, cre],
  Roger Bivand [ctb, cph],
  Vincent J. Carey [ctb, cph],
  Saikat DebRoy [ctb, cph],
  Stephen Eglen [ctb, cph],
  Rajarshi Guha [ctb, cph],
  Swetlana Herbrandt [ctb],
  Nicholas Lewin-Koh [ctb, cph],
  Mark Myatt [ctb, cph],
  Michael Nelson [ctb],
  Ben Pfaff [ctb],
  Brian Quistorff [ctb],
  Frank Warmerdam [ctb, cph],
  Stephen Weigand [ctb, cph],
  Free Software Foundation, Inc. [cph]
Maintainer: R Core Team <R-core@R-project.org>
Repository: CRAN
Date/Publication: 2020-01-20 18:01:35 UTC

=== noweb/Makefile ===
PARTS = main.Rnw \
	coxph.Rnw \
	exact.nw \
	agreg.Rnw \
	coxsurv.Rnw \
	coxsurv2.Rnw \
	coxsurv3.Rnw \
	finegray.Rnw \
	predict.coxph.Rnw \
	concordance.Rnw \
	survexp.Rnw \
	parse.Rnw \
	pyears.Rnw pyears2.Rnw \
	residuals.survreg.Rnw \
	survfit.Rnw \
	survfitKM.Rnw \
	survfitCI.Rnw \
	msurv.nw \
	survfitms.Rnw \
	plot.Rnw \
	statefig.Rnw\
	tmerge.Rnw\
	yates.Rnw  yates2.Rnw\
	zph.Rnw \
	tail
#	coxdetail.nw

SFUN =  agreg.fit.R \
	agsurv.R \
        concordance.R \
	coxph.R \
	coxsurvfit.R \
	finegray.R \
	model.matrix.coxph.R \
	parsecovar.R \
	plot.survfit.R \
	predict.coxph.R \
	pyears.R \
	print.pyears.R \
	residuals.survreg.R\
	statefig.R \
	survexp.R \
	survfit.R \
	survfitCI.R \
	survfitKM.R \
	survfit.coxph.R \
	survfit.coxphms.R \
	survfitms.R\
	tmerge.R \
	yates.R \
	cox.zph.R

CFUN =  agfit4.c \
        agsurv4.c agsurv5.c \
        concordance3.c coxcount1.c \
        coxexact.c \
	survfitci.c \
	survfitkm.c \
#	coxdetail2.c

RDIR = ../R
RFUN = $(SFUN:%=$(RDIR)/%)
CFUN2= $(CFUN:%=../src/%)
DOCDIR= ../inst/doc

all:  noweb.sty doc fun

doc: code.pdf 

code.pdf: code.tex noweb.sty
	pdflatex code.tex
	pdflatex code.tex

code.nw: $(PARTS)
	cat $(PARTS) > code.nw

code.tex: code.nw
	echo "library(noweb); noweave('code.nw')" | R  --slave

$(SFUN): code.nw
$(CFUN): code.nw
$(CFUN2): code.nw
$(RFUN): code.nw

.PHONY: fun clean doc all
fun: $(RFUN) $(CFUN2) noweb.sty

test: $(RFUN)
	echo $(RFUN)

%.R: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

%.S: 
	echo "# Automatically generated from the noweb directory" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

%.c: 
	echo "/* Automatically generated from the noweb directory */" > $@
	echo "require(noweb); notangle('code.nw', target='$(*F)', out='z$(@F)')" | R  --slave
	cat z$(@F) >> $@
	rm z$(@F)

clean:
	-rm -f code.nw code.log code.aux code.toc code.tex code.bbl code.blg code.out
	-rm -f noweb.sty

noweb.sty:
	echo 'library(noweb); data(noweb); cat(noweb.sty, sep="\n", file="noweb.sty")' |  R  --slave

=== src/gnuwin32/cran/Makefile ===
include ../MkRules

R_HOME = ../../..

RPREFIX = $(shell ../../../bin$(R_ARCH)/Rscript ../fixed/rwver.R)
FULLVERSION=`cat ../../../VERSION`
SVNREVISION=`sed -e 1s/Revision:.// -e q < $(R_HOME)/SVN-REVISION`
RVER = $(shell cut -d' ' -f1 ../../../VERSION | sed -n 1p)
DATE = $(shell date +%F)
SIZEMB = $(shell du -m ../installer/$(RPREFIX)-win.exe | cut -f1)

R_EXE = $(R_HOME)/$(BINDIR)/rterm.exe --vanilla --slave

all:
	$(CP) ../../../doc/html/CHANGES.html CHANGES.$(RPREFIX).html
	$(CP) ../../../doc/html/NEWS.html NEWS.$(RPREFIX).html
	$(CP) ../installer/$(RPREFIX)-win*.exe .
	($(ECHO) 'cat(md5sum("$(RPREFIX)-win.exe"), "*$(RPREFIX)-win.exe")' \
         | $(R_EXE) R_DEFAULT_PACKAGES=tools > md5sum.txt)
	$(CP) ../../../doc/html/rw-FAQ.html .	
	@for page in index rdevel rpatched rtest release; do \
	  $(SED) -e s/@RWVER@/$(RPREFIX)/g \
	    -e s/@RVER@/$(RVER)/g \
	    -e "s/@DATE@/$(DATE)/g" \
	    -e "s/@SIZEMB@/$(SIZEMB)/g" \
	    -e "s/@SVNREVISION@/$(SVNREVISION)/g" \
	    -e "s/@FULLVERSION@/$(FULLVERSION)/g" $${page}.in >$${page}.html; \
	done
	$(CP) release.html release.htm
	$(SED) -e s/@RWVER@/$(RPREFIX)/g \
	  -e s/@RVER@/$(RVER)/g \
	  -e "s/@FULLVERSION@/$(FULLVERSION)/g" ../README > README.$(RPREFIX)
	$(SED) -e s/@RWVER@/$(RPREFIX)/g \
	  -e s/@RVER@/$(RVER)/g \
	  -e "s/@FULLVERSION@/$(FULLVERSION)/g" ReadMe.in > ReadMe	  
	@(zip -q dosfiles.zip CHANGES.$(RPREFIX) NEWS.$(RPREFIX) README.$(RPREFIX) ReadMe; \
	 unzip -aqo dosfiles.zip; \
	 $(RM) dosfiles.zip)
	$(ECHO) set target=$(RPREFIX) >target.cmd


clean:
	$(RM) -R *.html *.htm ReadMe README* *.exe md5sum.txt NEWS.* CHANGES.* target.cmd

=== src/gnuwin32/installer/Makefile ===
# Makefile for R for Windows Installers

include ../MkRules

## Formerly in MkRules
FIND = find

R_HOME = ../../..
include $(R_HOME)/share/make/vars.mk

## use this to install other packages from main library
EXTRA_PKGS =

## Default display mode, 0=MDI, 1=SDI
MDISDI = 0

## Default help style, 0=plain text, 1=HTML
HelpStyle = 1

## Used to set Registry entries
Producer = R-core

ifeq "$(WIN)" "64"
ifneq ($(strip $(HOME32)),)
SUFF = win
else
SUFF = win64
endif
else
SUFF = win32
endif

FULLVERSION=`cat ../../../VERSION`
RPREFIX = $(shell ../../../bin$(R_ARCH)/Rscript ../fixed/rwver.R)
LIBFILES = $(foreach i, $(R_PKGS_BASE) $(R_PKGS_RECOMMENDED) translations $(EXTRA_PKGS), $(R_HOME)/library/$i)

INFO_FILES = COPYING README
DOC_INFO_FILES = AUTHORS COPYING FAQ RESOURCES THANKS CHANGES \
  NEWS NEWS.0 NEWS.1 NEWS.2 
GW_INFO_FILES = COPYRIGHTS README.Rterm ../../doc/manual/rw-FAQ

ETC_FILES = Rprofile.site Rconsole Rdevga rgb.txt repositories Rcmd_environ


# we don't want share/{Makefile.in,java,sh} installed
SHARE_DIRS = R dictionaries encodings licenses make Rd texmf zoneinfo

all: $(RPREFIX)-win.exe
msi: $(RPREFIX)-$(SUFF).msi

imagedir:
	$(RM) -R $(RPREFIX)
	$(MKDIR) $(RPREFIX)
	$(CP) -pR $(R_HOME)/bin $(R_HOME)/modules $(RPREFIX)
# copy base and recommended packages
	$(MKDIR) -p $(RPREFIX)/library
	$(CP) -pR $(LIBFILES) $(RPREFIX)/library
	$(RM) $(RPREFIX)/library/*/MD5
	$(RM) $(RPREFIX)/*/Makefile.in
	$(MKDIR) -p $(RPREFIX)/etc$(R_ARCH)
	$(CP) -p $(foreach i,$(ETC_FILES),$(R_HOME)/etc/$i) $(RPREFIX)/etc
	if test -f "$(R_HOME)/etc/curl-ca-bundle.crt"; then \
	  $(CP) -p "$(R_HOME)/etc/curl-ca-bundle.crt" $(RPREFIX)/etc; \
	fi
	$(CP) -p $(R_HOME)/etc$(R_ARCH)/Makeconf $(RPREFIX)/etc$(R_ARCH)
# copy info and documentation files
	$(MKDIR) -p $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/CRAN_mirrors.csv $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/BioC_mirrors.csv $(RPREFIX)/doc
	$(MKDIR) -p $(RPREFIX)/doc/manual/images
	$(CP) -pR $(R_HOME)/doc/html $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/manual/*.html $(R_HOME)/doc/manual/*.pdf \
	  $(RPREFIX)/doc/manual
	$(CP) -p $(R_HOME)/doc/manual/images/*.png $(RPREFIX)/doc/manual/images
#	html copies of these are in doc/manual, and we don't have FAQ PDF on menus
	$(RM) $(RPREFIX)/doc/manual/R-FAQ.pdf
	$(RM) $(RPREFIX)/doc/html/R-admin.html 
	$(RM) $(RPREFIX)/doc/html/index-default.html
#
	$(CP) -p $(foreach i,$(INFO_FILES),$(R_HOME)/$i) $(RPREFIX)
	$(CP) -p $(foreach i,$(DOC_INFO_FILES),$(R_HOME)/doc/$i) $(RPREFIX)/doc
	$(CP) -p $(foreach i,$(GW_INFO_FILES),../$i) $(RPREFIX)/doc
	$(CP) -p $(RPREFIX)/doc/CHANGES $(RPREFIX)
	$(SED) -e s/@RWVER@/$(RPREFIX)/g \
	  -e s/@RVER@/$(RVER)/g \
	  -e "s/@FULLVERSION@/$(FULLVERSION)/g" ../README > $(RPREFIX)/README.$(RPREFIX)
	$(SED) -e 3,5d ../README.packages > $(RPREFIX)/doc/README.packages
# convert docs and batch files to CRLF: might already be on Windows, though.
	zip -q dosfiles.zip $(RPREFIX)/* $(RPREFIX)/doc/*
	unzip -qao dosfiles.zip
	$(RM) dosfiles.zip
	$(CP) -p $(R_HOME)/doc/NEWS.pdf $(RPREFIX)/doc
	$(CP) -p $(R_HOME)/doc/NEWS.rds $(R_HOME)/doc/CHANGES.rds $(RPREFIX)/doc
#
# files to make source packages
	$(MKDIR) -p $(RPREFIX)/share \
	  $(RPREFIX)/src/library $(RPREFIX)/src/gnuwin32
	$(CP) $(R_HOME)/doc/html/logo.jpg $(R_HOME)/doc/html/Rlogo.svg $(RPREFIX)/doc/html
	$(CP) $(R_HOME)/doc/KEYWORDS* $(RPREFIX)/doc
	$(CP) -pR $(R_HOME)/include $(RPREFIX)
	$(CP) -pR $(foreach i,$(SHARE_DIRS),$(R_HOME)/share/$i) $(RPREFIX)/share
# This is odd -- better to clean the copy
	(cd ..; $(MAKE) --no-print-directory PKGDIR=. pkgclean-windlgs)
	$(CP) -pR ../windlgs $(RPREFIX)/src/library
# Edit Makeconf
	$(SED) -e 's!^BINPREF [?]= .*!BINPREF ?= c:/Rtools/mingw_64/bin/!' \
	  $(R_HOME)/etc/x64/Makeconf > $(RPREFIX)/etc/x64/Makeconf
# test dir
	mkdir $(RPREFIX)/tests
	$(MAKE) --no-print-directory -C ../../../tests -f Makefile.win \
	  INST_TO=../src/gnuwin32/installer/$(RPREFIX)/tests install-tests
#
	$(FIND) $(RPREFIX) -name .svn -prune -exec rm -Rf \{\} \;
	$(FIND) $(RPREFIX) -name \*~ -delete

md5sums:
	@echo "adding MD5 checksums"
	@(cd $(RPREFIX); echo "tools:::.installMD5sums(\".\")" | \
	  R_DEFAULT_PACKAGES=NULL LC_COLLATE=C R_OSTYPE=windows \
	  ../../../../$(BINDIR)/Rterm.exe --vanilla --slave)

PDF_FILES = $(wildcard $(RPREFIX)/library/*/doc/*.pdf)

fixups:
	echo "make.packages.html(.Library,temp=FALSE,verbose=FALSE)" | $(RPREFIX)/$(BINDIR)/Rterm.exe --vanilla --slave LC_COLLATE=C
	$(CP) -pRf $(R_HOME)/Tcl $(RPREFIX)
	$(RM) $(RPREFIX)/Tcl*/lib/*.lib
ifneq ($(strip $(QPDF)),)
	@for f in $(PDF_FILES); do \
	  $(QPDF)/bin/qpdf $${f} tmp.pdf; \
	  mv tmp.pdf $${f}; \
	done
endif

32bit:
ifeq "$(WIN)" "64"
ifneq ($(strip $(HOME32)),)
	@echo "------------ including 32-bit files"
	(cd "$(HOME32)"; zip -qr9X 32bit */i386 library/*/libs/i386 bin/R.exe bin/Rscript.exe)
	unzip -qo "$(HOME32)/32bit" -d $(RPREFIX)
	rm "$(HOME32)/32bit.zip"
	mkdir -p $(RPREFIX)/Tcl
	$(CP) -pRf "$(HOME32)/Tcl/bin" "$(HOME32)/Tcl/lib" $(RPREFIX)/Tcl
	for f in $(R_PKGS_RECOMMENDED); do \
	   sed -e 's/Archs: x64/Archs: i386, x64/' \
             ../../../library/$${f}/DESCRIPTION \
             > $(RPREFIX)/library/$${f}/DESCRIPTION; \
	done
# Edit Makeconf file to default Rtools location
	$(SED) -e 's!^BINPREF [?]= .*!BINPREF ?= c:/Rtools/mingw_32/bin/!' \
	  $(HOME32)/etc/i386/Makeconf > $(RPREFIX)/etc/i386/Makeconf
else
	@echo "------------ not including 32-bit files"
endif
endif

extras:
	for f in $(DLLs32); do \
	  cp "$$f" $(RPREFIX)/bin/i386; \
	done
	for f in $(DLLs64); do \
	  cp "$$f" $(RPREFIX)/bin/x64; \
	done

## for Inno Setup installer

R.iss: JRins.R header1.iss types3264.iss types32.iss code.iss \
   CustomMsg.iss imagedir fixups 32bit extras md5sums \
  ../../../VERSION ../../../SVN-REVISION
	../../../bin$(R_ARCH)/Rscript JRins.R \
	  $(RPREFIX) $(RPREFIX) $(MDISDI) \
	  $(HelpStyle) $(Producer) "$(ISDIR)"

$(RPREFIX)-win.exe: R.iss
	"$(ISDIR)/iscc" R.iss > $(RPREFIX).log 2>&1


## for MSI installer

uuidgen.exe: uuidgen.o
	$(CC) -o $@ $< -lole32

# currently use about 3500: allow for EXTRA_PKGS
uuids: uuidgen.exe
	./uuidgen 10000 > $@

files.wxs: imagedir fixups 32bit extras md5sums
	"$(WIX3DIR)/heat" dir $(RPREFIX) -sw5150 -nologo -o $@

R.wxs: WIXins.R uuids files.wxs
	../../../bin$(R_ARCH)/Rscript WIXins.R $(RPREFIX) $(RPREFIX) $(WIX_PERSONAL) || (rm -f $@;exit 1)

$(RPREFIX)-$(SUFF).msi: R.wxs License.rtf
	"$(WIX3DIR)/candle" R.wxs > $(RPREFIX).log 2>&1
	"$(WIX3DIR)/light" -out $@ R.wixobj -dcl:high \
	 -ext WixUIExtension -sw1076 -sval -spdb >> $(RPREFIX).log 2>&1


## too often this fails to empty directories.
clean:
	rm -Rf R.iss *.log R.wxs files.wxs R.wixobj uuidgen.o uuidgen.exe uuids
	-rm -Rf $(RPREFIX)

distclean: clean
	rm -f R*-win*.exe R*-win*.msi

myR:
	echo "make.packages.html(.Library, verbose=FALSE)" | "$(IMAGEDIR)/$(BINDIR)/Rterm.exe" --vanilla --slave LC_COLLATE=C
	@echo "adding MD5 checksums"
	@(cd "$(IMAGEDIR)"; echo "tools:::.installMD5sums(\".\")" | \
	  R_DEFAULT_PACKAGES=NULL LC_COLLATE=C R_OSTYPE=windows \
	  "$(IMAGEDIR)/$(BINDIR)/Rterm.exe" --vanilla --slave)
	../../../bin$(R_ARCH)/Rscript JRins.R \
	  $(RPREFIX) "$(IMAGEDIR)" $(MDISDI) \
	  $(HelpStyle) $(Producer) "$(ISDIR)"
	"$(ISDIR)/iscc" R.iss > myR.log

=== tests/Pkgs/pkgA_2/DESCRIPTION ===
Package: pkgA
Title: Simple Package with NameSpace and S4 Methods and Classes
Version: 2.0.0
Date: 2015-10-10
Type: Package
Depends: R (>= 2.14.0), R (>= r56550), methods
Imports: Matrix (>= 1.2-0), Matrix (<= 99.9-9)
LazyData: true
Author: Yohan Chalabi and R-core
Maintainer: R Core <R-core@almost.r-project.org>
Description: Example package with a namespace, and S4 method for "plot".
 used for regression testing the correct working of tools::codoc(), undoc()
 etc, but also S4 in connection with other packages.
License: GPL (>= 2)

=== tests/Pkgs/pkgA_3/DESCRIPTION ===
Package: pkgA
Title: Simple Package with NameSpace and S4 Methods and Classes
Version: 2.1.2
Date: 2015-10-10
Type: Package
Depends: R (>= 2.14.0), R (>= r56550), methods
Imports: Matrix (>= 1.2-0), Matrix (<= 99.9-9)
LazyData: true
Author: Yohan Chalabi and R-core
Maintainer: R Core <R-core@almost.r-project.org>
Description: Example package with a namespace, and S4 method for "plot".
 used for regression testing the correct working of tools::codoc(), undoc()
 etc, but also S4 in connection with other packages.
License: GPL (>= 2)

=== debian/changelog ===
r-base (3.6.3-2) unstable; urgency=medium

  * debian/patches/powerpc_changes: Use __powerpc__ not __PPC64__ to also
    cover 32-bit builds                                    (Closes: #946836)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Mar 2020 06:40:47 -0500

r-base (3.6.3-1) unstable; urgency=medium

  * New upstream version released right now in Copenhagen at celebRtion 2020!

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Feb 2020 03:13:14 -0600

r-base (3.6.2.20200221-1) unstable; urgency=medium

  * Initial rc release (r77847) of R 3.6.3 expected for Feb 29

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Feb 2020 07:25:19 -0600

r-base (3.6.2-2) unstable; urgency=medium

  * src/main/arithmetic.c: Small (upstream also) patch for PPC64

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2019 07:27:57 -0600

=== debian/control ===
Source: r-base
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.5.0
Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl8.6-dev, tk8.6-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
Vcs-Browser: https://salsa.debian.org/edd/r-base
Vcs-Git: https://salsa.debian.org/edd/r-base.git
Homepage: http://www.r-project.org/

Package: r-base
Architecture: all
Depends: ${misc:Depends}, r-base-core (>= ${source:Version}), r-recommended (= ${source:Version})
Recommends: r-base-html, r-doc-html
Suggests: elpa-ess, r-doc-info | r-doc-pdf  
Description: GNU R statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package is a metapackage which eases the transition from the 
 pre-1.5.0 package setup with its larger r-base package. Once installed, it 
 can be safely removed and apt-get will automatically upgrade its components
 during future upgrades.  Providing this package gives a way to users to 
 then only install r-base-core if they so desire.

Package: r-base-core
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, zip, unzip, libpaper-utils, xdg-utils, ${shlibs:Depends}, ucf (>= 3.0), ca-certificates
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0), r-gnome (<= 2.3.1), r-cran-rcompgen (<= 0.1-17-1), r-base-latex (<= 2.9.2-4)
Provides:  r-gnome, r-cran-rcompgen, r-base-latex, r-api-3.5
Conflicts:  r-gnome, r-cran-rcompgen, r-base-latex
Recommends: r-recommended, r-base-dev, r-doc-html
Suggests: elpa-ess, r-doc-info | r-doc-pdf, r-mathlib, r-base-html
Breaks: r-bioc-graph (<< 1.62.0-1~),
        r-cran-bbmle (<< 1.0.20-5~),
        r-cran-biocmanager (<< 1.30.4+dfsg-2~),
        r-cran-caret (<< 6.0-84-2~),
        r-cran-cmprsk (<< 2.2-8-1~),
        r-cran-coin (<< 1.3-0-1~),
        r-cran-dendextend (<< 1.12.0+dfsg-1~),
        r-cran-fields (<< 9.8-3-1~),
        r-cran-filehash (<< 2.4-2-2~),
        r-cran-future (<< 1.14.0+dfsg-1~),
        r-cran-genetics (<< 1.3.8.1.2-1~),
        r-cran-haplo.stats (<< 1.7.9-4~),
        r-cran-igraph (<< 1.2.4.1-1~),
        r-cran-lava (<< 1.6.5-1~),
        r-cran-libcoin (<< 1.0-4-1~),
        r-cran-msm (<< 1.6.7-1~),
        r-cran-permute (<< 0.9-5-1~),
        r-cran-phangorn (<< 2.5.5-1~),
        r-cran-popepi (<< 0.4.7-1~),
        r-cran-recipes (<< 0.1.6-1~),
        r-cran-sp (<< 1:1.3-1-2~),
        r-cran-spam (<< 2.2-2-1~),
        r-cran-units (<< 0.6-3-1~),
        r-cran-vegan (<< 2.5-5+dfsg-1~),
        r-cran-zelig (<< 5.1.6.1-1~)
Description: GNU R core of statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available
 from CRAN, the Comprehensive R Archive Network, many also as Debian
 packages, named 'r-cran-<name>'.
 .
 This package provides the core GNU R system from which only the optional
 documentation packages r-base-html, r-doc-html, r-doc-pdf and r-doc-info 
 have been split off to somewhat reduce the size of this package. 

Package: r-base-dev
Architecture: all
Depends: ${misc:Depends}, r-base-core (>= ${source:Version}), build-essential, gcc, g++, gfortran, libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev, libncurses5-dev, libreadline-dev, libjpeg-dev, libpcre2-dev, libpcre3-dev, libpng-dev, zlib1g-dev, libbz2-dev, liblzma-dev, libicu-dev, xauth, pkg-config
Suggests: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, texinfo
Description: GNU R installation of auxiliary GNU R packages 
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package ensures that other Debian packages needed for installation of
 some auxiliary R packages are installed.

Package: r-mathlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: r-base-core (= ${binary:Version}), r-base-dev (= ${binary:Version})
Description: GNU R standalone mathematics library
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package provides the libRmath shared and static libraries which can
 be called from standalone C or C++ code.

Package: r-base-html
Architecture: all
Priority: optional
Section: doc
Depends: ${misc:Depends}, r-base-core
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0)
Suggests: r-doc-html, mozilla | www-browser
Description: GNU R html docs for statistical computing system functions
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger, 
 access to certain system functions, and the ability to run programs 
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the 
 resulting language is very similar in appearance to S, the underlying 
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows 
 branching and looping as well as modular programming using functions.  
 Most of the user-visible functions in R are written in R.  It is 
 possible for the user to interface to procedures written in the 
 C, C++, or FORTRAN languages for efficiency, and many of R's core 
 functions do so.  The R distribution contains functionality for a 
 large number of statistical procedures and underlying applied math 
 computations.  There is also a large set of functions which provide 
 a flexible graphical environment for creating various kinds of data 
 presentations. 
 .
 Additionally, several thousand extension "packages" are available from 
 CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
 named 'r-cran-<name>'.
 .
 This package provides html documentation suitable for browsing with a 
 web-browser for the libraries included in the r-base package. It is not 
 a required package as the same documentation is already included for 
 on-line browsing. 

Package: r-doc-pdf
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: r-base-core, xdg-utils | pdf-viewer
Description: GNU R pdf manuals for statistical computing system
 R is a system for statistical computation and graphics.  It consists 
 of a language plus a run-time environment with graphics, a debugger,

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux r-base package
# Copyright 1997-2003  Douglas Bates <bates@stat.wisc.edu>
# Copyright 1998-2019  Dirk Eddelbuettel <edd@debian.org>
#
# $Id: rules,v 1.3 2007/05/06 17:13:23 edd Exp edd $

corepackage	= r-base-core
devpackage	= r-base-dev
#latexpackage	= r-base-latex
pdfpackage	= r-doc-pdf
htmlpackage	= r-doc-html
nmathpackage	= r-mathlib
infopackage	= r-doc-info
recdpackage	= r-recommended
dbugpackage	= r-base-core-dbg

# for the standalone library, no sonames are assigned in the upstream Makefiles
somaj		= 1
somin		= 0
sorel		= 0
libver		= $(somaj).$(somin).$(sorel)

debbase		:= $(CURDIR)/debian
debtmp		:= $(debbase)/$(corepackage)
debdoc		:= $(debbase)/$(corepackage)/usr/share/doc/$(corepackage)
debmat		:= $(debbase)/$(nmathpackage)
debetc		:= $(debbase)/$(corepackage)/usr/lib/R/etc
debinf		:= $(debbase)/$(infopackage)
debcnf		:= $(debbase)/$(corepackage)/etc/R

## edd 24 Oct 2005 use DEB_BUILD_GNU_CPU, not DEB_BUILD_GNU_TYPE
##                 updated rules throughout
arch		:= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
buildarch	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
## edd 26 Jul 2013 also use DEB_HOST_ARCH_OS to catch kFreeBSD
buildos         := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
#export DH_VERBOSE = 1

# edd 15 Aug 2001  default to blas, atlas can override it
#atlas		= --with-blas=blas
# dmb 04 Apr 2003  better to use no specify blas
# atlas			= --with-blas
# edd 28 Apr 2003  try configuring with atlas
# atlas		= --with-blas=atlas
# edd 16 Oct 2003  back to older default
#atlas		= --with-blas=blas
# edd 26 Feb 2004  point to refblas3
#atlas		= --with-blas=-lblas-3
# edd 05 Feb 2008  default blas
atlas           = --with-blas

# edd 08 Mar 2003  use the new lapack feature
# edd 27 Apr 2003  Set this to =no as we currently see numerical errors
#lapack		= --with-lapack=no
# edd 26 Feb 2004  point to lapack3
#lapack		= --with-lapack=-llapack-3
# edd 13 Oct 2004  Set this once again to =no as we still see numerical errors
#lapack		= --with-lapack=no
# edd 05 Feb 2008  switched back
# edd 05 Feb 2008  oh, no switch back to internal lapack -- see #464833
#lapack		= --with-lapack=no
# edd 05 Mar 2008  with lapack as we can now use lapack 3.1 in unstable
lapack		= --with-lapack

# edd 02 Sep 2001  default to g77 but let m68k use f2c
# edd 06 Mar 2003  enforce 3.2 versions explicitly
#		   so that on testing we will pick them over 2.95
# edd 07 Jun 2003  let's fall back to the default compilers
# edd 08 Sep 2005  real defaults, i.e. remove -3.4 strings
# edd 03 Apr 2006  switch to gfortran
# edd 04 Apr 2006  use optimflags, build per-compiler flags later
# edd 26 Jun 2007  need 4.2 for fortran linking
# edd 26 Nov 2007  4.2 is now default, so no longer set -4.2 explictly; also add f95compiler
# edd 11 Oct 2011  setting -std=gnu99 with compiler (thanks, Kurt Hornik)
fortrancompiler	= F77=gfortran
f95compiler     = gfortran
# edd 10 Jan 2016  mips currently needs gcc-4.9 (cf #810357) and big thanks to Sébastien Villemot
# edd 12 Apr 2016  mips treatment removed again after kernel fix on
#ifeq ($(arch),mips)
#compiler	= "gcc-4.9 -std=gnu99"
#else
compiler	= "gcc -std=gnu99"
#endif
cxxcompiler	= g++

# edd 31 Mar 2014
#optimflags	= -O3 -pipe
optimflags      = $(shell dpkg-buildflags --get CFLAGS)
# edd 08 Apr 2014  add CPPFLAGS
optimflags      += $(shell dpkg-buildflags --get CPPFLAGS)

# edd 22 Apr 2012  gcc-4.7 needs -O2 to build R (also #67359)
ifneq "$(shell gcc --version | head -1 | cut -d' ' -f4 | grep '^4.7')" ""
optimflags = -O2 -pipe
endif

# edd 04 Sep 2001  default compiler flags, lowered for m68k
#compilerflags	= -O2
# m68k barks when using g77, and when gcc use -O2
# edd 26 Nov 2002  switched back to g77
# edd 02 Jun 2003  switched back
# cts 04 Jun 2003  use -O1 on m68k
#ifeq ($(arch),m68k)
#fortrancompiler	= F2C=f2c
#compilerflags	= -O1
#endif

# edd 14 Nov 2003  turn blas off on arm
# edd 12 May 2010  no longer needed -- thx to Modestas Vainius
#ifeq ($(arch),arm)
#atlas		= --without-blas
#endif

## edd 09 Nov 2001  ia64 needs gcc-3.0, hppa gets it by default
#ifeq ($(arch),ia64)
#fortrancompiler = F77=g77-3.0
#compiler	= gcc-3.0
#cxxcompiler	= g++-3.0
#compilerflags	= -O2
#endif

## lamont@debian.org 06 Dec 2001  hppa needs -ffunction-sections
ifeq ($(arch),hppa)
optimflags	= -O2 -ffunction-sections
endif

## edd 20 Jun 2002	no optimisation or debugging on baby systems
## edd 02 Jun 2003	use this on arm only
## edd 12 May 2010	no longer use it on arm either -- thx Modestas
## edd 04 Aug 2010	on mips and mipsel, don't use -g
## edd 10 Jan 2016      turn all off again
##ifneq "$(findstring $(arch), m68k arm)" ""
#ifneq "$(findstring $(arch), arm)" ""
#ifneq "$(findstring $(arch), mips mipsel)" ""
#optimflags	= -g0
##optimflags	= -O0 -g0
#endif

## edd 04 Apr 2009	Alpha dies on deriv.c, trying will less optimisation
## edd 16 Apr 2009      commented-out as Kurt Roeckx applied a gcc patch
#ifeq ($(arch),alpha)
#optimflags	= -O2 -g0
#endif

## edd 09 Apr 2006	per patch from Andreas Jochens in #361604
ifeq ($(arch),powerpc64)
optimflags	+= -mminimal-toc
endif

## edd 26 Jul 2013	kFreeBSD wants -O2 per #714506
ifeq ($(buildos),kfreebsd)
optimflags	= -O2 -pipe
endif


## edd 04 Apr 2006	generalize from old compilerflags to per-compiler
## edd 11 Oct 2011      -std=gnu goes to CC (thanks to Kurt Hornik)
cflags		= $(optimflags)
cxxflags	= $(optimflags)
## edd 31 Mar 2014      with thanks to Julian Gilbey in #726913
#fcflags		= $(optimflags)
fcflags 	= $(shell dpkg-buildflags --get FFLAGS)

## edd 17 Sep 2006	suggested by Brian Ripley in email dated 15 Sep 2006
#ldflags		= -Wl,-O1,-Bdirect,--hash-style=both
#ldflags		= -Wl,-O1
## edd 06 May 2007  try it
## edd 05 Feb 2008  still no go under gcc 4.3
#ldflags		= -Wl,-O1,-Bdirect,--hash-style=both
## edd 31 Mar 2014
ldflags		= $(shell dpkg-buildflags --get LDFLAGS)

## edd 16 Apr 2008	add -g to optim flags to allow for -dbg package
optimflags	+= -g

## 12 Jan 2015
## Support for #774031 uncomment the two assignment to pass a non-empty string for this to hold
#builttime       := $(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | awk -F': ' '/Date/ {print $$2}')
#builttimestamp  := "$(builttime)"
buildtimestamp  := ""

#arch = kfreebsd-amd64
maketest:
	@echo "Hi $(arch)"
	@echo "$(findstring $(arch), i486 hppa arm)"
ifeq "$(findstring $(arch), kfreebsd-amd64 x86_64 hppa arm)" ""
	@echo "**** TRUE if the arch is NOT in the list as !find == '' ***"
endif
ifneq "$(findstring $(arch), kfreebsd-amd64 x86_64 i486 hppa arm)" ""
	@echo "**** TRUE if the arch is in list as find != '' is TRUE ***"
endif
	@echo Bye

get-orig-source: upstream
upstream:
        #links http://cran.us.r-project.org/src/base
	links http://cran.r-project.org/src/base/?M=D

upstreamdevel:
	links ftp://ftp.stat.math.ethz.ch/Software/R
        #links http://cran.us.r-project.org/src/base
        #rsync -vaC rsync.r-project.org::r-devel .

prerelease:
	links http://cran.r-project.org/src/base-prerelease

denmark:
	links http://www.biostat.ku.dk/~pd/R-release


## edd 24 Oct 2003  build is invoked by the buildd, so we would prefer to
##		    not imply build-indep; unfortunately R does not build
##		    properly without it, so we have to stick with it
## edd 15 Jan 2004  trying again on build only build: build-arch build-indep
##		    the main hook is to then have binary depend on both
##		    binary-arch and binary-indep, and those on their builds
## edd 19 Sep 2019  for source uploads also build build-indep
build: build-arch build-indep

build-arch: make-arch

build-indep: make-indep

configure: configure-stamp
configure-stamp:
	@echo "*** configure ***"

        # we have to disable use of the expanded R_LD_LIBRARY_PATH as it
        # conflicts with Debian's Atlas-can-replace-Blas scheme
        # so set R_LD_LIBRARY_PATH to the minimal value R_HOME/bin
        # and discard what configure finds for it on this machine

## r-base 4.0.0

=== debian/changelog ===
r-base (4.0.0-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04 LTS
  * debian/control Changed dependency to generic tcl-dev and tk-dev

 -- Michael Rutter <marutter@gmail.com>  Sat, 25 Apr 2020 17:30:24 +0000

r-base (4.0.0-1) experimental; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Apr 2020 05:42:07 -0500

r-base (3.6.3.20200416-1) experimental; urgency=medium

  * Initial rc release (r78240) of R 4.0.0 expected for Apr 24

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Apr 2020 00:05:51 -0500

r-base (3.6.3.20200409-1) experimental; urgency=medium

  * Initial beta release (r78186) of R 4.0.0 expected for Apr 24

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Apr 2020 13:46:57 -0500

r-base (3.6.3.20200402-1) experimental; urgency=medium

  * Second alpha release (r78142) of R 4.0.0 expected for Apr 24

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 03 Apr 2020 09:30:12 -0500

r-base (3.6.3.20200326-1) experimental; urgency=medium

  * Initial alpha release (r78078) of R 4.0.0 expected for Apr 24

  * debian/control: Update Provides: for r-base-core to 'r-api-4.0' as all
    packages depedending on R will require a rebuild

  * debian/patches/series: Comment-out powerpc_changes included upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Mar 2020 09:16:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl8.6-dev, tk8.6-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
+Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl-dev, tk-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
 Vcs-Browser: https://salsa.debian.org/edd/r-base
 Vcs-Git: https://salsa.debian.org/edd/r-base.git
 Homepage: http://www.r-project.org/
@@ -49,7 +49,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, zip, unzip, libpaper-utils, xdg-utils, ${shlibs:Depends}, ucf (>= 3.0), ca-certificates
 Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0), r-gnome (<= 2.3.1), r-cran-rcompgen (<= 0.1-17-1), r-base-latex (<= 2.9.2-4)
-Provides:  r-gnome, r-cran-rcompgen, r-base-latex, r-api-3.5
+Provides:  r-gnome, r-cran-rcompgen, r-base-latex, r-api-4.0
 Conflicts:  r-gnome, r-cran-rcompgen, r-base-latex
 Recommends: r-recommended, r-base-dev, r-doc-html
 Suggests: elpa-ess, r-doc-info | r-doc-pdf, r-mathlib, r-base-html

## r-base 4.0.1

=== debian/changelog ===
r-base (4.0.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04 LTS
  * debian/control Changed dependency to generic tcl-dev and tk-dev

 -- Michael Rutter <marutter@gmail.com>  Sun, 07 Jun 2020 13:22:53 +0000

r-base (4.0.1-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Jun 2020 06:06:09 -0500

r-base (4.0.0.20200530-1) unstable; urgency=medium

  * Initial rc release (r78619) of R 4.0.1 expected for Jun 06

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Jun 2020 07:17:17 -0500

r-base (4.0.0.20200528-1) unstable; urgency=medium

  * Initial beta release (r78593) of R 4.0.1 expected for Jun 06

  * debian/watch: Updated expression to look at R-4

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 May 2020 12:03:08 -0500

r-base (4.0.0-3) unstable; urgency=medium

  * unstable: New upload to start 'r-4.0' transition

  * debian/rules: Extend ppc64el rule to ppc64 and powerpc
  * debian/compat: Increase level to 10

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 May 2020 07:15:04 -0500

r-base (4.0.0-2) experimental; urgency=medium

  * debian/rules: Disable (for now) long double support on ppc64el as it
    (currently) breaks the build; upstream is working on proper fix

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Apr 2020 09:06:41 -0500

## r-base 4.0.2

=== debian/changelog ===
r-base (4.0.2-1build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:45:34 +0100

r-base (4.0.2-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Jun 2020 05:54:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: r-base
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl-dev, tk-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
+Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl8.6-dev, tk8.6-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
 Vcs-Browser: https://salsa.debian.org/edd/r-base
 Vcs-Git: https://salsa.debian.org/edd/r-base.git
 Homepage: http://www.r-project.org/
@@ -219,4 +220,3 @@
 Suggests: r-base-core, xdg-utils | pdf-viewer
 Description: GNU R pdf manuals for statistical computing system
  R is a system for statistical computation and graphics.  It consists 
- of a language plus a run-time environment with graphics, a debugger,

## r-base 4.0.3

=== debian/changelog ===
r-base (4.0.3-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04 LTS
  * debian/control Changed dependency to generic tcl-dev and tk-dev

 -- Michael Rutter <marutter@gmail.com>  Sat, 10 Oct 2020 17:29:49 +0000

r-base (4.0.3-1) unstable; urgency=medium

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Oct 2020 07:04:31 -0500

r-base (4.0.2.20201005-1) unstable; urgency=medium

  * Initial rc release (r79292) of R 4.0.3 expected for Oct 10

  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Oct 2020 07:22:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-base
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl8.6-dev, tk8.6-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper (>= 7.2.3), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
+Build-Depends: gcc (>= 4:4.1.0), g++ (>= 4:4.1.0), gfortran (>= 4:4.1.0), libblas-dev, liblapack-dev (>= 3.1.1), tcl-dev, tk-dev, bison, groff-base, libncurses5-dev, libreadline-dev, debhelper-compat (= 11), texinfo (>= 4.1-2), libbz2-dev, liblzma-dev, libpcre2-dev, libpcre3-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff5-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], mpack, bash-completion
 Vcs-Browser: https://salsa.debian.org/edd/r-base
 Vcs-Git: https://salsa.debian.org/edd/r-base.git
 Homepage: http://www.r-project.org/
@@ -220,3 +219,4 @@
 Suggests: r-base-core, xdg-utils | pdf-viewer
 Description: GNU R pdf manuals for statistical computing system
  R is a system for statistical computation and graphics.  It consists 
+ of a language plus a run-time environment with graphics, a debugger,

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# This is one format for an HTTP site, which is the same as the FTP format
http://cran.r-project.org/src/base/R-4/R-([-0-9\.]*).tar.gz
